%define name gnozip
%define version 0.1.3

Summary: Graphical interface for compression utilities
Name: %{name}
Version: %{version}
Release: %mkrel 9
License: GPL
Group: Archiving/Compression
BuildRequires: libx11-devel
BuildRequires: gnome-libs-devel audiofile-devel esound-devel imlib-devel zlib-devel
Source: http://www.geocities.com/SiliconValley/9757/download/%{name}-%{version}.tar.bz2
Source2: %{name}.png.bz2
Source3: %{name}-32.png.bz2
Source4: %{name}-48.png.bz2
# (etienne) 0.1.3-1mdk 
Patch0: gnozip-0.1.3-pixmapdir.patch.bz2
Patch1: gnozip-0.1.3-gcc3.4.patch.bz2
URL: http://www.geocities.com/SiliconValley/9757/gnozip.html
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
GnoZip aims to be the WinZip(tm) of the Gnome environment providing  graphical
interface to the most common compression utilities.

%prep
%setup -q
%patch0 -p 1 -b .pixmapdir
%patch1 -p 1 -b .gcc3.4


%build
%configure

%make CFLAGS="$RPM_OPT_FLAGS" ac_default_prefix=/usr

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT prefix=$RPM_BUILD_ROOT%{_prefix} install

%{find_lang} %{name}

# menu
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(gnozip): \
command="%{_bindir}/gnozip" \
icon="gnozip.png" \
needs="x11" \
title="Gnozip" \
longtitle="A Winzip(tm) like application which supports gzip and bzip compresssion format" \
section="Applications/Archiving/Compression" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gnozip
Comment=A Winzip(tm) like application which supports gzip and bzip compresssion format
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;AudioVideo;X-MandrivaLinux-System-Archiving-Compression;
EOF

# icon
install -d $RPM_BUILD_ROOT%{_miconsdir}
install -d $RPM_BUILD_ROOT%{_liconsdir}

bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files  -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/pixmaps/*

%changelog
* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 09:53:16 (55913)
- bump release

* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 09:50:17 (55912)
- mkrelisation
- xdg menu

* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 09:35:24 (55911)
Import gnozip

* Thu Dec 15 2005 Arnaud de Lorbeau <adelorbeau@mandriva.com> 0.1.3-8mdk
- rebuild

* Wed Sep 01 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.1.3-7mdk
- rebuild
- patch gcc3.4

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.3-6mdk
- rebuild
- dropped redundant --prefix passed to %%configure

* Thu Feb 13 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.1.3-5mdk
- rebuild

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-4mdk
- xpm -> png icons

* Thu Nov 15 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 0.1.3-3mdk
- rebuild for rpmlint

* Thu Aug 30 2001 Etienne Faure  <etienne@mandrakesoft.com> 0.1.3-2mdk
- rebuild

* Fri May 04 2001 Etienne Faure  <etienne@mandrakesoft.com> 0.1.3-1mdk
- version 1.3
- Patch0 to have correct pixmap path (replace Fred's one)

* Wed Apr 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.2-2mdk
- Patch0 to have correct pixmap path
- Use macros and add missings files

* Sat Mar 17 2001 Etienne Faure  <etienne@mandrakesoft.com> 0.1.2-1mdk
- version 1.2

* Sat Jan 13 2001 Etienne Faure  <etienne@mandrakesoft.com> 0.1.0-6mdk
- macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.0-5mdk
- automatically added BuildRequires

* Wed Jul 12 2000 Etienne Faure <etienne@mandrakesoft.com> 0.1.0-4mdk
- Updated to version 0.1.0

* Mon May 01 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.11-3mdk
- remove silly version number in menu entry

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.11-2mdk
- added url
- added icons

* Sun Apr 09 2000 Daouda Lo <daouda@mandrakesoft.com> 0.0.11-1mdk
- first build for mandrake.

